---

- name: restart vault
  service: name=vault state=restarted
  when: vault_service_started is not defined or not vault_service_started.changed

- name: reload vault
  service: name=vault state=reloaded

- name: restart consul-template-vault
  service: name=consul-template-vault state=restarted
  when: vault_secrets.nomad.enabled
